#! /usr/bin/env perl

use warnings;
use strict "vars", "subs";
use Tk;

my $w = 301;
my $h = 201;

$w = <STDIN>;
$h = <STDIN>;


my $iters = $w*$h;

my $mw = MainWindow->new();
my $canv = $mw->Canvas(-cursor=>"crosshair",-width=>$w, -height=>$h)->pack();
our $img = $mw->Photo(-width=>$w, -height=>$h, -palette => '256/256/256'); $img->blank;
$canv->createImage(0, 0, -image => $img, -anchor => 'nw');

sub step(){
  if($iters == 0){ return; }

  my $s = <STDIN>; $iters--;
  my $x = 0;
  my $y = 0;
  my $color = "";
  my @v = split / /, $s;
  $x = $v[0]; $y = $v[1]; $color = $v[2];

  #print "------> ",$x," ",$y," ",$color,"\n";

  $img->put($color, -to => ($x, $y));
}

$mw->repeat(1 => \&step);

MainLoop();
