#include "pixel.h"

/** 
    fornisce il colore di un pixel

  \param xcoord  coord complessa del pixel
  \param ycoord  coord complessa del pixel

  \retval c colore del pixel (0..999)

*/
int color_one_pixel (double xcoord, double ycoord){
    double x, x0, y, y0, x2, y2;
    int iteration=0, colour = BLACK, maxiteration = MAXITER;
    x = x0 = xcoord;
    y = y0 = ycoord;
    x2 = x*x;
    y2 = y*y;

    while ( ( x2 + y2 < (2*2) ) && (iteration < maxiteration) ){
	y = 2*x*y + y0;
	x = x2 - y2 + x0;
	x2 = x*x;
	y2 = y*y;
	iteration++;
    }

    if ( iteration != maxiteration )
	colour = iteration;
    return colour;

}

